*{
    scroll-behavior: smooth ;
}

html, body {
    max-width: 100%;
    overflow-x: hidden;
}

body{ 
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    font-family: 'Fjalla One', sans-serif;
    width: 100%;
}

a{
    text-decoration: none;
    color: rgb(0, 0, 0);
    font-weight: 600;
    padding: 0.3rem;
}

header nav .dropdown {
    position: relative;
    display: inline-block;
}

header nav .dropdown-content {
    border-radius: 10px;
    padding: 7px;
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 225px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}

header nav .dropdown-content a {
    color: black;
    padding: 5px 5px;
    text-decoration: none;
    display: block;
}

header nav .dropdown-content a:hover {
    background-color: #40c440;
    border-radius: 10px;
}

header nav .dropdown:hover .dropdown-content {
    display: block;
}

header nav .dropdown:hover .ac {
    background-color: #40c440;
}

header{
    background-color: rgb(233, 233, 233);
    top: 0;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    width: 100%;
}

header h2{
    color: rgb(0, 0, 0);
    text-align: center;
}

input[type="search"]{
    font-weight: 600;
    border-radius: 1rem;
    text-align: center;
    height: 2rem;
    width: 35rem;
    padding: 1.1rem;
    border: 1px solid rgb(53, 100, 255);
}

.ac{
	display: inline-block;
	background:  rgb(233, 233, 233);
	color: rgb(0, 0, 0);
	padding: 7px 4px;
	margin: 5px 3px;
	border-radius: 10px;
	transition: background-color 0.5s; /*Permet de cree une transition*/
}

.ac:hover{
	background: #40c440;
}

nav{
    display: flex;
    gap: 2rem;
    text-align: center;
    flex-wrap: wrap;
}

.adress{
    text-align: start; 
    transform: translate(30%, 0%);
    align-items: flex-start;
}

.adress1{
    text-align: start; 
    transform: translate(12%,-62%);
}

.adress2{
    transform: translate(0%,-70%);
}

.map{
    float: right;
    transform: translate(15%,0%);
}


.card{
    text-align: center; 
    padding: 3rem;
    border: 2px solid rgb(53, 100, 255);
    width: 100%;
    margin: 0px auto;
    margin-top: 7rem;
    margin-bottom: 5rem;
    border-radius: 2rem;
    background-color: rgb(233, 233, 233);
    box-shadow: 0 0px 70px rgb(53, 100, 255),0 0px 70px rgb(53, 100, 255);
    transform: translate(-8%,0%);
}

.bordure{
    border: 1px solid rgb(53, 100, 255);
}

.envoyer{
    border: 2px solid rgb(53, 100, 255);
}

.title{
	text-align: center;
	margin: 0px auto 30px ;
	position: relative;
	line-height: 60px;
	color: rgb(0, 0, 0);
}

.title::after {
	content: '\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0';
	background: #40c440;
	width: 8Opx;
	height: 5px;
	border-radius: 5px;
	position: absolute;
	bottom: 0;
	left: 50%;
	transform: translateX(-50%);
}

.title2{
	text-align: center;
	margin: 0px auto 30px ;
	position: relative;
	line-height: 60px;
	color: rgb(0, 0, 0);
}

.title2::after {
	content: '\00a0\00a0\00a0\00a0\00a0\00a0\00a0';
	background: #40c440;
	width: 8Opx;
	height: 5px;
	border-radius: 5px;
	position: absolute;
	bottom: 0;
	left: 50%;
	transform: translateX(-50%);
}

label{
    font-size: larger;
}

input{
    border-radius: 2rem;
    border: 1px solid black;
    text-align: center;
    padding: 0.5rem;
    width: 15rem;
    font-weight: 600;
    margin-left: 2rem;
}

textarea{
    margin-left: 2rem;
    border-radius: 1rem;
    border: 1px solid black;
    padding: 0.5rem;
    font-weight: 600;
}

button{
    padding: 0.7rem;
    background-color: transparent;
    color: black;
    font-weight: bold;
    margin-top: 1.8rem;
    border-radius: 0.7rem;
    margin: 0 auto;
    background-color: white;
    width: 5rem;
}

button:hover{
    background-color: rgb(233, 233, 233);
    cursor: pointer;
}

footer{
    padding: 1rem;
    background-color: rgb(233, 233, 233);
    align-items: center;
    width: 100%;
}

.list{
    display: flex;
    justify-content: space-around;
}